## GtkSpinner

GtkSpinner — Show a spinner animation

## Synopsis

    #include <gtk/gtk.h>

    struct              GtkSpinner;
    GtkWidget *         gtk_spinner_new                     (void);
    void                gtk_spinner_start                   (GtkSpinner *spinner);
    void                gtk_spinner_stop                    (GtkSpinner *spinner);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkSpinner

## Implemented Interfaces

GtkSpinner implements AtkImplementorIface and GtkBuildable.

## Properties

      "active"                   gboolean              : Read / Write

## Description

A GtkSpinner widget displays an icon-size spinning animation. It is often used as an alternative to a GtkProgressBar for displaying indefinite activity, instead of actual progress.

To start the animation, use `gtk_spinner_start()`, to stop it use `gtk_spinner_stop()`.

## Details

### struct GtkSpinner

    struct GtkSpinner;

### gtk_spinner_new ()

    GtkWidget *         gtk_spinner_new                     (void);

Returns a new spinner widget. Not yet started.

Returns : | a new GtkSpinner

Since 2.20

### gtk_spinner_start ()

    void                gtk_spinner_start                   (GtkSpinner *spinner);

Starts the animation of the spinner.

`spinner` : | a GtkSpinner

Since 2.20

### gtk_spinner_stop ()

    void                gtk_spinner_stop                    (GtkSpinner *spinner);

Stops the animation of the spinner.

`spinner` : | a GtkSpinner

Since 2.20

## Property Details

### The `"active"` property

      "active"                   gboolean              : Read / Write

Whether the spinner is active.

Default value: FALSE

## See Also

GtkCellRendererSpinner, GtkProgressBar